//基本配置项
const base = {
	debug: false
}
//上传配置
const upload = {
	url: 'http://laipinbei.txhsai.vip/yxd/api.plugs/plupload',
	name: 'file',
}

//http request请求配置
const request = {
	//	服务器接口地址
	
	// host: "http://laipinbei.txhsai.vip/", //正式服务器
	
	// host: "http://test.txhsai.vip/", //测试服务器
	host: "http://www.laipinbei.com/", //本地测试
	
	//	请求的参数	
	data: {},
	//	设置请求的 header，header 中不能设置 Referer。
	header: {},
	//	（需大写）有效值：OPTIONS, GET, HEAD, POST, PUT, DELETE, TRACE, CONNECT	
	method: "POST",
	//	json	如果设为json，会尝试对返回的数据做一次 JSON.parse	
	dataType: "json",
	//	text	设置响应的数据类型。合法值：text、arraybuffer	1.7.0
	responseType: "text",
	//	收到开发者服务成功返回的回调函数	
	success() {},
	//	接口调用失败的回调函数	
	fail() {},
	//	接口调用结束的回调函数（调用成功、失败都会执行）
	complete() {},
}

//后端服务列表
const server = {
	// ========== 大A ================
	//优选店幻灯片
	'banner': 'youxuan/api.Index/indexBanner',
	//栏目分类列表
	'getCategotyList': 'youxuan/api.Index/categotyList',
	//商铺列表
	'getShopList': 'youxuan/api.Index/goodShopList',
	//获取地区
	'getDistrict': 'youxuan/api.Index/getDistrict',
	//用户当前的城市
	'getUsercity': 'youxuan/api.Index/getUsercity',
	//切换用户当前城市
	'setUserCity': 'youxuan/api.Index/setUsercity',
	//商铺入驻表单-第一步
	'setShopOne': 'youxuan/api.merchant/setShopOne',
	//商铺入驻表单-第二步
	'setShopTwo': 'youxuan/api.merchant/setShopTwo',
	//用户中心-获取当前用户资料
	'getUserInfo': 'user/api.user_center/getUserInfo',
	//用户中心-编辑用户资料
	'updateUserInfo': 'user/api.user_center/updateUserInfo',
	//用户中心-分享列表
	'getShareList': 'user/api.user_center/getShareList',
	//用户中心-已绑定银行卡列表
	'getUserBankList': 'user/api.bank/getUserBankList',
	//用户中心-银行卡绑定-添加银行卡
	'setBankAdd': 'user/api.bank/add',
	//用户中心-银行卡绑定-获取银行列表
	'getBankList': 'user/api.bank/getBankList',
	//用户中心-银行卡绑定-设置默认卡
	'setDefault': 'user/api.bank/setDefault',
	//用户中心-提交支付密码
	'setPayPassword': 'user/api.bank/setPayPassword',


	// ========== 小A ================
	//获取商铺详情
	'getShopInfo': 'youxuan/api.Merchant/getShopInfo',
	//获取商铺下商品列表
	'getShopGoodsInfo': 'yxd/api.Merchant/getShopGoodsInfo',
	//当前位置
	'cityByPoints': 'user/api.user/getCityByPoints',
	//获取城市
	'getCities': 'youxuan/api.Index/getCities',
	//获取上级
	'getShangji': 'user/api.user/getShangji',
	//用户登录
	'login': 'user/api.user/login',
	//找回密码
	'repassword': 'user/api.user/repassword',
	//获取验证码
	'vcode': 'user/api.sms/vcode',
	// 注册,第一步
	'register': 'user/api.user/register',
	//注册，第二步
	'register_step': 'user/api.user/register_step',
	//转入银行卡
	'TransferMoneyBag': 'user/api.money_bag/transfer',
	// 获取拼呗券列表
	'volumeList' :'pinbei/api.volume/volumeList',
	// 拼呗券详情:
	 'volumeInfo': 'pinbei/api.volume/volumeInfo',
	// 分享
	 'share' : 'user/api.share/index',
	//获取券余额
	 'getQuan': 'user/api.quan',
	//获取拼钱券详情:
	'pintuan':'pinbei/api.volume/pintuan',
	//拼钱券转出到钱包时，获得一些数字
	'getNumber':'user/api.money_bag/index',
	//拼呗可用额度提现到钱包:
	'pbTixian':'user/api.user_center/pbaward_transfer',
    //购买拼呗劵
	 'pbBuy' :'pay/api.index/pb_action',
	 //修改密码
	 'password' :'user/api.user_center/repassword',
	 //分享页面获取上级
	 'getMyTop' : 'user/api.user_center/getMyTop',
	//用户建议
	'setFeedback' : 'user/api.user_center/setFeedback',
	 // 加油卡列表
	  'oilList':'shop/api.Oil_Recharge/oilList',
	 // 加油卡充值
	 'oilOrder':'shop/api.Oil_Recharge/createOrder',
	 // 加油卡充值日志
	 'oilOrderList':'shop/api.Oil_Recharge/oilOrderList',
	//提额记录	
	'tiE':'pinbei/api.formula/index',
	//去提额	
	 'toTie':'pinbei/api.formula/formula',
	 //京东商城-领劵说明
	 'explain':'shop/api.Jd/couponExplain',
	//优选店-添加商品
	 'setGoods': 'youxuan/api.Goods/setGoods',
	 //优选店-获取商品列表
	 'getGoodslist':'youxuan/api.Goods/getGoodslist',
		// 获取当前商铺列表
	  'getShoplist':'youxuan/api.Merchant/getShoplist',
	  //获取某一个商铺信息
	  'getMyShopInfo':'youxuan/api.Merchant/getMyShopInfo',
	  //体验券
	   'tiyanQuan':'experice/api.index/detail',
	   //体验券列表
	   'tiYanList':'experice/api.index/quanList',
	  //体验券下单
	  'tiYanOrder':'experice/api.index/createOrder',
	  
	  

	// ========== 于斌 ================
	//送钱券首页
	'vipIndex': 'vip/api.vip/index.html',
	//送钱券首页
	'vipRefer': 'vip/api.vip/refer.html',
	//购买送钱券
	'vipBuy': 'vip/api.vip/pay_action.html',
	//兑换券总额
	'vipConvert': 'vip/api.vip/convert.html',
	//首页
	'home': 'vip/api.vip/home.html',
	//邀请
	'invitation': 'user/api.user/checkUser',
	//大礼包
	'gift': 'vip/api.vip/gift.html',
	//大礼包购买
	'giftBuy': 'vip/api.vip/gift_pay_action.html',
	//钱包首页
	'bag' : 'user/api.user_center/bag.html',
	//提现
	'exchangeData' : 'user/api.user_center/exchangeData.html',
	//提现
	'exchange' : 'user/api.user_center/exchange.html',
	
	
	// ========== Abardca ================
	//手机充值
	'phoneList' : 'shop/api.Phone_Recharge/phoneList',
	//创建话费订单
	'createOrder' : 'shop/api.Phone_Recharge/createOrder',
	//手机充值记录
	'phoneOrderList':'shop/api.Phone_Recharge/phoneOrderList',
	//京东商城-分类列表
	 'Jdcates':'shop/api.Jd/cates',
	 //京东商城-商品列表
	 'Jdgoods':'shop/api.Jd/goods',
	 //京东商城-商品详情
	 'JdgoodInfo':'shop/api.Jd/goodInfo',
	 //京东商城-领取京东券
	 'JdgoodCoupon':'shop/api.Jd/goodCoupon',
	 //领券记录
	 'couponLog':'shop/api.goods/couponLog',
	 //版本更新检测
	 'isUpdate':'app/api.config/isUpdate',
	 
	 //淘宝商城-分类列表
	  'Tbcates':'shop/api.Tb/cates',
	  //淘宝商城-商品列表
	  'Tbgoods':'shop/api.Tb/goods',
	  //淘宝商城-商品详情
	  'TbgoodInfo':'shop/api.Tb/goodInfo',
	  //淘宝商城-领取淘宝券
	  'TbgoodCoupon':'shop/api.Tb/goodCoupon',
	  //淘宝商城-用券说明
	  'TbcouponExplain':'shop/api.Tb/couponExplain'
	
}

export default {
	base,
	request,
	server,
	upload
}
